Package ru.bitel.bgbilling.modules.vseplatezhi.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.vseplatezhi.server.bean.Constants

    public class Constants
    extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_VSEPLATEZHI_CLIENT_ID` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_DESCRIPTION` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_GATE_URL` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_PAYMENT_COMMENT` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_PAYMENT_TYPE_ID` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_SHARED_KEY` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_SUM_MAX` |
  `static java.lang.String` | `KEY_VSEPLATEZHI_SUM_MIN` |
  `static java.lang.String` | `PARAM_AMOUNT` |
  `static java.lang.String` | `PARAM_CLIENT_ID` |
  `static java.lang.String` | `PARAM_ORDER_ID` |
  `static java.lang.String` | `PARAM_SIGN` |
  `static java.lang.String` | `STATUS_ERROR` |
  `static java.lang.String` | `STATUS_OK` |
  `static java.lang.String` | `STATUS_REJECTED` |
  `static java.lang.String` | `VSEPLATEZHI_DESCRIPTION` |
  `static java.lang.String` | `VSEPLATEZHI_GATE_URL` |
  `static java.lang.String` | `VSEPLATEZHI_PAYMENT_COMMENT` |
  `static int` | `VSEPLATEZHI_SUM_MAX` |
  `static int` | `VSEPLATEZHI_SUM_MIN` |

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constants()` |

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### VSEPLATEZHI_SUM_MIN

    public static final int VSEPLATEZHI_SUM_MIN
    See Also:
      Constant Field Values

  - ### VSEPLATEZHI_SUM_MAX

    public static final int VSEPLATEZHI_SUM_MAX
    See Also:
      Constant Field Values

  - ### VSEPLATEZHI_GATE_URL

    public static final java.lang.String VSEPLATEZHI_GATE_URL
    See Also:
      Constant Field Values

  - ### VSEPLATEZHI_DESCRIPTION

    public static final java.lang.String VSEPLATEZHI_DESCRIPTION
    See Also:
      Constant Field Values

  - ### VSEPLATEZHI_PAYMENT_COMMENT

    public static final java.lang.String VSEPLATEZHI_PAYMENT_COMMENT
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_SUM_MIN

    public static final java.lang.String KEY_VSEPLATEZHI_SUM_MIN
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_SUM_MAX

    public static final java.lang.String KEY_VSEPLATEZHI_SUM_MAX
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_CLIENT_ID

    public static final java.lang.String KEY_VSEPLATEZHI_CLIENT_ID
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_SHARED_KEY

    public static final java.lang.String KEY_VSEPLATEZHI_SHARED_KEY
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_DESCRIPTION

    public static final java.lang.String KEY_VSEPLATEZHI_DESCRIPTION
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_GATE_URL

    public static final java.lang.String KEY_VSEPLATEZHI_GATE_URL
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_PAYMENT_TYPE_ID

    public static final java.lang.String KEY_VSEPLATEZHI_PAYMENT_TYPE_ID
    See Also:
      Constant Field Values

  - ### KEY_VSEPLATEZHI_PAYMENT_COMMENT

    public static final java.lang.String KEY_VSEPLATEZHI_PAYMENT_COMMENT
    See Also:
      Constant Field Values

  - ### PARAM_CLIENT_ID

    public static final java.lang.String PARAM_CLIENT_ID
    See Also:
      Constant Field Values

  - ### PARAM_ORDER_ID

    public static final java.lang.String PARAM_ORDER_ID
    See Also:
      Constant Field Values

  - ### PARAM_AMOUNT

    public static final java.lang.String PARAM_AMOUNT
    See Also:
      Constant Field Values

  - ### PARAM_SIGN

    public static final java.lang.String PARAM_SIGN
    See Also:
      Constant Field Values

  - ### STATUS_OK

    public static final java.lang.String STATUS_OK
    See Also:
      Constant Field Values

  - ### STATUS_ERROR

    public static final java.lang.String STATUS_ERROR
    See Also:
      Constant Field Values

  - ### STATUS_REJECTED

    public static final java.lang.String STATUS_REJECTED
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()